package cn.com.poc.thirdparty.resource.demand.ai.function.oa_form;

import cn.com.poc.agent_application.entity.Variable;
import cn.com.poc.common.utils.JsonUtils;
import cn.com.poc.thirdparty.resource.demand.ai.function.AbstractFunctionResult;
import cn.com.poc.thirdparty.resource.demand.ai.function.AbstractLargeModelFunction;
import cn.com.poc.thirdparty.resource.demand.ai.function.entity.FunctionLLMConfig;
import cn.hutool.core.collection.ListUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author：Roger Wu
 * @name：oa_form
 * @Date：2025-05-06 20:36
 */
@Component
public class TravelFormFunction extends AbstractLargeModelFunction {

    private final String DESC = "该方法执行出差的报销表单申请";

    private final FunctionLLMConfig functionLLMConfig = new FunctionLLMConfig.FunctionLLMConfigBuilder()
            .name("completion_of_travel_form")
            .description(DESC)
            .build();

    /**
     * 执行函数
     *
     * @param content    入参
     * @param identifier 唯一标识
     * @return
     */
    @Override
    public AbstractFunctionResult<String> doFunction(String content, String identifier) {
        AbstractFunctionResult<String> result = new AbstractFunctionResult<>();
        result.setPromptContent("111111");
        result.setFunctionResult("11111");
        return result;
    }

    @Override
    public String getDesc() {
        return DESC;
    }

    @Override
    public List<String> getLLMConfig() {
        return ListUtil.toList(JsonUtils.serialize(functionLLMConfig));
    }

    @Override
    public List<String> getLLMConfig(List<Variable> variableStructure) {
        return getLLMConfig();
    }
}
